Payment Applications
- GET
/rest/v1.0/projects/{project_id}/payment_applicationsList payment applications - POST
/rest/v1.0/projects/{project_id}/payment_applicationsCreate payment application - GET
/rest/v1.0/projects/{project_id}/payment_applications/{id}Show payment application - PATCH
/rest/v1.0/projects/{project_id}/payment_applications/{id}Update payment application - POST
/rest/v1.0/projects/{project_id}/payment_applications/{id}/approveApprove - GET
/rest/v1.0/projects/{project_id}/payment_applications/{id}/linesList continuation-sheet (G703) line items - PATCH
/rest/v1.0/projects/{project_id}/payment_applications/{id}/lines/{line_id}Update a line (this-period entry) - POST
/rest/v1.0/projects/{project_id}/payment_applications/{id}/rejectReject - POST
/rest/v1.0/projects/{project_id}/payment_applications/{id}/submitSubmit for review - POST
/rest/v1.0/projects/{project_id}/payment_applications/{id}/voidVoid - GET
/rest/v1.0/projects/{project_id}/payment_applications/filter_options/statusesStatus filter options
/rest/v1.0/projects/{project_id}/payment_applicationsList payment applications
Parameters
- project_idstringpathrequired
Response · 200 · PaymentApplicationListItem[]
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
/rest/v1.0/projects/{project_id}/payment_applicationsCreate payment application
Parameters
- project_idstringpathrequired
Request body
- payment_applicationobjectrequired
Response · 201 · PaymentApplicationShow
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
- created_byobject
- submitted_atstring
- approved_atstring
- paid_atstring
- summaryPaymentApplicationSummaryrequired
- line_itemsPaymentApplicationLine[]required
- details_availablebooleanrequired
/rest/v1.0/projects/{project_id}/payment_applications/{id}Show payment application
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PaymentApplicationShow
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
- created_byobject
- submitted_atstring
- approved_atstring
- paid_atstring
- summaryPaymentApplicationSummaryrequired
- line_itemsPaymentApplicationLine[]required
- details_availablebooleanrequired
/rest/v1.0/projects/{project_id}/payment_applications/{id}Update payment application
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PaymentApplicationShow
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
- created_byobject
- submitted_atstring
- approved_atstring
- paid_atstring
- summaryPaymentApplicationSummaryrequired
- line_itemsPaymentApplicationLine[]required
- details_availablebooleanrequired
/rest/v1.0/projects/{project_id}/payment_applications/{id}/approveApprove
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PaymentApplicationShow
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
- created_byobject
- submitted_atstring
- approved_atstring
- paid_atstring
- summaryPaymentApplicationSummaryrequired
- line_itemsPaymentApplicationLine[]required
- details_availablebooleanrequired
/rest/v1.0/projects/{project_id}/payment_applications/{id}/linesList continuation-sheet (G703) line items
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PaymentApplicationLine[]
- idintegerrequired
- item_numberstringrequired
- description_of_workstringrequired
- cost_codeCostCodeStub
- scheduled_valuestringrequired
- work_completed_from_previous_applicationstringrequired
- work_completed_this_periodstringrequired
- materials_presently_storedstringrequired
- previous_materials_storedstringrequired
- stored_installed_this_periodstringrequired
- total_completed_and_stored_to_datestringrequired
- total_completed_and_stored_to_date_percentnumberrequired
- balance_to_finishstringrequired
- work_retainagestring
- materials_retainagestring
- retainagestringrequired
- work_retainage_percentnumber
- materials_retainage_percentnumber
/rest/v1.0/projects/{project_id}/payment_applications/{id}/lines/{line_id}Update a line (this-period entry)
Parameters
- project_idstringpathrequired
- idstringpathrequired
- line_idstringpathrequired
Response · 200 · PaymentApplicationLine
- idintegerrequired
- item_numberstringrequired
- description_of_workstringrequired
- cost_codeCostCodeStub
- scheduled_valuestringrequired
- work_completed_from_previous_applicationstringrequired
- work_completed_this_periodstringrequired
- materials_presently_storedstringrequired
- previous_materials_storedstringrequired
- stored_installed_this_periodstringrequired
- total_completed_and_stored_to_datestringrequired
- total_completed_and_stored_to_date_percentnumberrequired
- balance_to_finishstringrequired
- work_retainagestring
- materials_retainagestring
- retainagestringrequired
- work_retainage_percentnumber
- materials_retainage_percentnumber
/rest/v1.0/projects/{project_id}/payment_applications/{id}/rejectReject
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PaymentApplicationShow
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
- created_byobject
- submitted_atstring
- approved_atstring
- paid_atstring
- summaryPaymentApplicationSummaryrequired
- line_itemsPaymentApplicationLine[]required
- details_availablebooleanrequired
/rest/v1.0/projects/{project_id}/payment_applications/{id}/submitSubmit for review
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PaymentApplicationShow
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
- created_byobject
- submitted_atstring
- approved_atstring
- paid_atstring
- summaryPaymentApplicationSummaryrequired
- line_itemsPaymentApplicationLine[]required
- details_availablebooleanrequired
/rest/v1.0/projects/{project_id}/payment_applications/{id}/voidVoid
Parameters
- project_idstringpathrequired
- idstringpathrequired
Response · 200 · PaymentApplicationShow
- idintegerrequired
- numberstringrequired
- invoice_numberstring
- statusstringrequired
- translated_statusstringrequired
- contractContractStubrequired
- billing_datestring
- period_startstring
- period_endstring
- billing_periodBillingPeriod
- retainage_percentnumberrequired
- percent_completenumberrequired
- grand_totalstringrequired
- net_change_by_change_ordersstring
- contract_sum_to_datestring
- total_completed_and_stored_to_datestringrequired
- total_amount_accrued_this_periodstring
- work_retainagestring
- materials_retainagestring
- total_retainagestring
- released_retainagestring
- current_payment_duestringrequired
- amount_paidstring
- created_atstringrequired
- updated_atstringrequired
- created_byobject
- submitted_atstring
- approved_atstring
- paid_atstring
- summaryPaymentApplicationSummaryrequired
- line_itemsPaymentApplicationLine[]required
- details_availablebooleanrequired
/rest/v1.0/projects/{project_id}/payment_applications/filter_options/statusesStatus filter options
Parameters
- project_idstringpathrequired
Response · 200 · FilterOption[]
- keystringrequired
- valuestringrequired